body{
    margin: 0;
}

header{
    display: flex;
    width: 100%;
    height: 12vh;
    position: sticky;
    top: 0;
    background-color: #2C3E50 ;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    z-index: 1;

    & > a{
        text-decoration: none;

        & > img{
            height: 5vh;
            padding-left: 15px;
        }
    }

    & > .btnHolder{
        display: flex;
        padding-right: 15px;
        gap: 1.5rem;
        align-items: center;

        & > a{
            border: none;
            color: #BDC3C7;
            font-size: 14px;
            cursor: pointer;
            font-family: "Stack Sans Text", sans-serif;
            font-weight: 200;
            text-decoration: none;
            &:hover{
                color: #ECF0F1;
            }
        }

        & > a:nth-child(1){
            height: 33px;
            width: 7rem;
            background-color: #D2042D;
            border-radius: 20px;
            font-weight: 400;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        & > a:nth-child(2){
            font-weight: 300;
            color: white;
        }

        & > .openChatBtn{
            height: 33px;
            width: 5rem;
            background-color: transparent;
            border-radius: 10px;
            font-weight: 400;
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid #BDC3C7;
            &:hover{
                background-color: rgba(178, 178, 178, 0.196);
            }
        }

        & > .dropdown-center{
            display: flex;
            align-items: center;

            & > button{
                background-color: transparent;
                border: none;
                color: #BDC3C7;
                font-size: 14px;
                cursor: pointer;
                font-family: "Stack Sans Text", sans-serif;
                padding: 0;
                margin: 0;
                font-weight: 200;

                &:hover{
                    color: #ECF0F1;
                }
            }

            & > ul{
                background-color: #BDC3C7;

                & > li{
                    background-color: transparent;

                    & > a{
                        color: black;
                        font-weight: 200;
                        font-size: 14px;
                        font-weight: 200;
                        font-family: "Stack Sans Text", sans-serif;

                        &:hover{
                            background-color: rgba(128, 128, 128, 0.178);
                        }
                    }
                }
             }
        }

        & > .bookBtn{
            border: none;
            color: #BDC3C7;
            font-size: 14px;
            cursor: pointer;
            font-family: "Stack Sans Text", sans-serif;
            font-weight: 200;
            text-decoration: none;
            width: fit-content;
        }

        & > button{
            border: 2px solid #BDC3C7;
            height: 33px;
            width: 5.5rem;
            border-radius: 10px;
            font-weight: 300;
            color: #BDC3C7;
            font-size: 14px;
            cursor: pointer;
            font-family: "Stack Sans Text", sans-serif;
            font-weight: 200;

            &:hover{
                color: #ECF0F1;
            }
        }
    }
}

.inline-flex{
    font-family: "Stack Sans Text", sans-serif;
    font-weight: 300;

    &:hover{
        font-weight: 500;
    }
}
.section1{
    display: flex;
    height: 88vh;
    width: 100%;
    background-color: #ECF0F1;
    align-items: flex-start;
    justify-content: flex-start;
    flex-direction: row;

    & > .left{
        display: flex;
        flex-direction: column;
        width: 55%;
        padding: 30px;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 20px;

        & > .title{
            display: flex;
            flex-direction: row;
            width: 100%;
            align-items: center;
            justify-content: flex-start;

            & > .left{
                & > i{
                    font-size: 5rem;
                    color: #D2042D;
                }
            }
    
            & > .right{
                display: flex;
                flex-direction: column;
                gap: 5px;
                
                & > h1{
                    font-weight: 900;
                    font-size: 2rem;
                    font-family: "Poppins", sans-serif;
                    margin: 0;
                    color: #2C3E50;
                }
                & > p{
                    font-family: "Poppins", sans-serif;
                    font-size: 1rem;
                    margin: 0;
                    color: #2C3E50;
                }
            }

        }
        & > .autoShopMap{
            height: 60vh;
            width:90%;
            margin-left: 20px;
            z-index: 1;
        }
    }

    & > .shopDetails{
        display: none;
        flex-direction: column;
        width: 35%;
        height: 85vh;
        transition:  0.1s ease;
        z-index: 1;
        border-radius: 8px;
        align-items: center;
        position: absolute;
        margin: 0px 0px 0px 18rem;
        box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.262);
        background: rgba(255, 255, 255, 0.112);
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.123);
        backdrop-filter: blur(30px);
        -webkit-backdrop-filter: blur(10px);
        border: 1px solid rgba(255, 255, 255, 0.22);

        & > span {
            display: flex;
            align-self: flex-end;
            color: rgb(145, 145, 145);
            font-size: 20px;
            float: right;
            cursor: pointer;
            padding: 10px;
            position: absolute;
            top: 0;

            &:hover{
                color: rgb(125, 125, 125);
            }
        }

        & > .detailsContent{
            display: flex;
            flex-direction: column;
            width: 100%;
            height: 100%;
            align-items: center;

            & > .button-holder{
                display: flex;
                flex-direction: row;
                width: 100%;
                align-items: center;
                justify-content: flex-start;
                align-items: center ;
                gap: 10px;
                border-bottom: 1px solid #74747472;
                padding: 20px 10px 10px 10px ;
                border-radius: 0px 0px 10px 10px;

                & > button{
                    font-family: "Stack Sans Text", sans-serif;
                    font-size: 13px;
                    height: 2rem;
                    display: flex;
                    justify-content: flex-start;
                    align-items: center;
                    padding: 0px 15px 0px 10px;
                    font-weight: 200;
                    color: #2C3E50;

                    &:hover{
                        color: black;
                    }
                }

                & > button.active{
                    color:black;
                    font-weight: 600;
                    background: rgba(218, 217, 217, 0.275);
                    border-radius: 10px;
                    box-shadow: 0 4px 30px rgba(60, 59, 59, 0.1);
                    backdrop-filter: blur(20);
                    -webkit-backdrop-filter: blur(10);
                    border: 1px solid rgba(36, 36, 36, 0.3);
                }

                & > button:nth-child(3){
                    color:black;
                    font-weight: 600;
                    background: rgba(252, 252, 252, 0.3);
                    border-radius: 10px;
                    box-shadow: 0 4px 30px rgba(60, 59, 59, 0.1);
                    backdrop-filter: blur(20);
                    -webkit-backdrop-filter: blur(10);
                    border: 1px solid rgba(36, 36, 36, 0.3);
                    
                    &:hover{
                        background-color: rgba(222, 221, 221, 0.562);
                    }
                }
            }
            & > .detailsTab{
                display: none;
                flex-direction: column;
                width: 100%;
                justify-content: center;
                align-items: center;
                height: 100%;
                gap: 10px;
                overflow-y: scroll;
                background: rgba(255, 255, 255, 0.112);
                box-shadow: 0 4px 30px rgba(0, 0, 0, 0.123);
                backdrop-filter: blur(30px);
                -webkit-backdrop-filter: blur(10px);

                &::-webkit-scrollbar{
                    display: none;
                }

                & > h1{
                    font-family: "Stack Sans Headline", sans-serif;
                    font-size: 20px;
                    margin: 0;
                    font-weight: 800;
                    color: #2C3E50;
                }

                & > i{
                    font-size: 7rem;
                    color: rgba(193, 192, 192, 0.283);
                }
                
                & > .details-holder{
                    display: flex;
                    flex-direction: column;
                    width: 100%;
                    justify-content: flex-start;
                    padding: 10px;
                    gap: 10px;

                    & > .container{
                        display: flex;
                        width: 100%;
                        padding: 5px 0px;
                        justify-content: space-between;
                        align-items: center;

                        & > p{
                            font-family: "Stack Sans Text", sans-serif;
                            font-size: 14px;
                            margin: 0;
                            color: #2C3E50;
                        }

                        & > .carListHolder{
                            display: flex;
                            flex-direction: row;
                            gap: 5px;

                            & > p{
                                font-family: "Stack Sans Text", sans-serif;
                                font-size: 14px;
                                margin: 0;
                                border: 1px solid gray;
                                padding: 2px 7px;
                                border-radius: 5px;
                                color: #2C3E50;
                            }
                        }
                    }

                    & > .container:nth-child(1) > p > i{
                        color: red;
                    }
                }

                & > .service-container{
                    display: flex;
                    width: 100%;
                    padding: 5px 0px;
                    flex-direction: column;
                    gap: 15px;
                    align-items: center;
                    padding-bottom: 20px;

                    & > p{
                        font-family: "Stack Sans Text", sans-serif;
                        font-size: 14px;
                        margin: 0;
                        padding: 0;
                        color: #2C3E50;
                    }

                    & > .list{
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        gap: 10px;
                        flex-direction: column;
                        & > p{
                            font-family: "Stack Sans Text", sans-serif;
                            font-size: 14px;
                            margin: 0;
                            padding: 6px 20px;
                                border: 1px solid gray;
                            border-radius: 5px;
                            color: #2C3E50;
                        }
                    }

                }
            }

            & > .feedbackTab{
                display: none;
                flex-direction: column;
                width: 95%;
                height: 100%;
                justify-content: flex-start;
                align-items: center;
                gap: 15px;
                padding: 10px 0px;
                overflow-y: scroll;

                &::-webkit-scrollbar{
                    display: none;
                }

                & > em{
                    font-family: "Stack Sans Text", sans-serif;
                    font-size: 13px;
                    margin: 0;
                    color: rgba(0, 0, 0, 0.473);
                    font-weight: 400;
                    padding: 1rem 0rem;
                }

                & > .feedbackList{
                    display: flex;
                    flex-direction: column;
                    justify-content: flex-start;
                    align-items: flex-start;
                    width: 100%;
                    padding: 10px;
                    gap: 10px;
                    background: rgba(255, 255, 255, 0.602);
                    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.123);
                    backdrop-filter: blur(30px);
                    -webkit-backdrop-filter: blur(10px);
                    border: 1px solid rgba(255, 255, 255, 0.22);
                    border-radius: 10px;
                
                    & > .top{
                        display: flex;
                        flex-direction: row;
                        justify-content: space-between;
                        align-items: center;
                        width: 100%;

                        & > p{
                            font-family: "Stack Sans Text", sans-serif;
                            font-size: 13px;
                            margin: 0;
                            color: rgba(0, 0, 0, 0.473);
                            font-weight: 400;
                        }

                        & > span{
                            color: rgb(var(--bs-warning-rgb));
                            font-size: 12px;
                        }
                    }

                    & > .bottom{
                        display: flex;
                        width: 100%;
                        justify-content: flex-start;
                        align-items: flex-start;

                        & > p{
                            font-family: "Stack Sans Text", sans-serif;
                            font-size: 13px;
                            margin: 0;
                            color: rgba(0, 0, 0, 0.666);
                            font-weight: 200;
                        }
                    }
                }
            }
        }
    }

    & > .right{
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        width: 45%;
        height: 100%;
        overflow-y: scroll;
        padding: 20px 0px;
        gap: 20px;
        background-color: rgba(245, 245, 245, 0.603);
        box-shadow: 0px 0px 10px rgba(103, 103, 103, 0.576);

        & > h2{
            font-family: "Poppins", sans-serif;
            font-weight: 800;
            align-self: flex-start;
            padding-left: 20px;
            color: #2C3E50;
            margin: 0;

        }

        &::-webkit-scrollbar {
            height: 12px;            
            background-color: #7F8C8D;
        }

        &::-webkit-scrollbar-thumb {
            background: #2C3E50; 
            border-radius: 10px;
            border: 3px solid #7F8C8D; 
        }

        & > .container{
            display: flex;
            width: 95%;
            /* box-shadow: 0 0px 1px rgba(40, 40, 40, 0.497); */
            border-radius: 8px;
            gap: 10px;
            align-items: center; 
            height: 15vh;
            justify-content: center;
            padding: 0;
            flex-direction: column;
            cursor: pointer;
            background-color: rgb(255, 255, 255);
            flex-shrink: 0;
            border: 1px solid rgba(86, 86, 86, 0.402);
            flex-direction: row;
            box-shadow: 0px 0px 10px white;

            &:hover{
                background-color: rgba(205, 204, 204, 0.404);
            }

            & > .shop-display{
                display: flex;
                flex-direction: column;
                height: 95%;
                width: 100%;
                gap: 5px;
                align-items: flex-start;
                justify-content: center;
                padding-left: 15px;

                & > i{
                    display: flex;
                    color: rgba(74, 74, 74, 0.436);
                    font-size: 17px;
                    align-self: flex-end;
                    position: absolute;
                    float: right;
                    transform: translateY(-45px);
                }

                & > h4{
                    font-family: "Stack Sans Headline", sans-serif;
                    font-size: 18px;
                    margin: 0;
                    font-weight: 900;
                    color: #2C3E50;
                    
                }

                & > p{
                    font-family: "Stack Sans Text", sans-serif;
                    font-size: 14px;
                    margin: 0;
                    color: #2C3E50;
                    font-weight: 200;
                }

                & > p:nth-child(2){
                    & > i{
                        color: red;
                    }
                }
            }
            & > i{
                font-size: 4rem;
                margin-right: 1rem;
                color: rgba(193, 192, 192, 0.283);
                /* background-color: rgba(227, 225, 225, 0.456); */
                /* width: 6rem;
                height: 5rem;
                display: flex;
                justify-content: center;
                align-items: center; */
                border-radius: 50px;
            }
        }
        & > .shop-item.selected {
            background-color: rgb(224, 223, 223); /* light cyan */
            border: 1px solid rgb(130, 129, 129);
        }
    }

}

        /* box-shadow: 0 6px 24px rgba(0, 0, 0, 0.07); */

        /*color */

/* primary (headers/nav/text on light background) - #2C3E50

accent (buttons, highlights, icons,) - #D2042D

secondary (adjacent nung accent red for the background ng buttons and shit) - #BDC3C7

highlight (color pag hinover nung cursor yung text) - #7F8C8D

background (bg ng site itself for both web and mobile) - #ECF0F1 */



  .modal.chat{
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100vh;
        background-color: rgba(0, 0, 0, 0.78);
        justify-content: center;
        align-items: center;
        z-index: 100;

        & > .modal-content.chat{
            display: flex;
            flex-direction: column;
            width: 70%;
            height: 90vh;
            align-items: center;
            color: black;
            background-color: #ECF0F1 ;
            justify-content: center;
            transition:  0.1s ease;
            overflow: hidden;

            & > span {
                display: inline-flex;
                align-self: flex-end;
                color: rgb(53, 52, 52);
                font-size: 2rem;
                cursor: pointer;
                padding-right: 10px;
                position: absolute;
                top: 0;
                font-size: 30px;
                line-height: 1;

                &:hover{
                    color: rgb(116, 115, 115);
                }
            }

            & > form{
                display: flex;
                height: 98%;
                width: 100%;

            & > .chatContent{
                display: flex;
                flex-direction: row;
                justify-content: flex-start;
                align-items: center;
                height: 100%;
                width: 100%;
                gap: 10px;
                padding-left: 10px;
                overflow: hidden;

                & > .leftContainer{
                    display: flex;
                    height: 99%;
                    width: 30%;
                    flex-direction: column;
                    /* box-shadow: 0px 2px 20px rgba(139, 139, 139, 0.775); */
                    border-radius: 10px;
                    overflow: hidden;
                    justify-content: flex-start;
                    align-items: flex-start;
                            border: 1px solid #ccc;

                    & > .nameHolder{
                        display: flex;
                        justify-content: flex-start;
                        align-items: center;
                        padding: 10px;
                        gap: 6px;
                        background-color: #dbdcdd9b;
                        height: 10vh;
                        width: 100%;
                            border: 1px solid #ccc;

                        & > span{
                            height: 3rem;
                            width: 3rem;
                            background-color: rgba(183, 182, 182, 0.545);
                            border-radius: 50px;
                            display: flex;
                            justify-content: center;
                            align-items: center;

                            & > i{
                                font-size: 20px;
                            }
                        }

                        & > .name{
                            display: flex;
                            flex-direction: column;
                            justify-content: flex-start;
                            align-items: flex-start;

                            & > p{
                                margin: 0;
                                font-size: 16px;
                                font-family: "Stack Sans Headline", sans-serif;
                                font-weight: 600;
                            }
                            
                            & p:nth-child(2){
                                color: rgb(98, 98, 98);
                                font-size: 13px;
                                font-weight: 600;
                            }

                        }
                    }

                    & > .historyContainer{
                        display: flex;
                        flex-direction: column;
                        justify-content: flex-start;
                        align-items: center;
                        padding: 10px 0px;
                        /* box-shadow: 0px 0px 10px black; */
                        overflow: auto;
                        gap: 10px;
                        width: 100%;
                        background-color: whitesmoke;
                        height: 89%;
 
                        &::-webkit-scrollbar{
                            display: none;
                        }

                        & > p{
                            margin: 0;
                            font-size: 17px;
                            font-family: "Stack Sans Headline", sans-serif;
                            font-weight: 600;
                            width: 94%;
                        }
                    
                        & > p:nth-child(2){
                            margin: 0;
                            font-size: 14px;
                            font-family: "Stack Sans Text", sans-serif;
                            font-weight: 300;
                            width: 94%;
                            color: rgb(98, 98, 98);
                        }

                        & > .message{
                            display: flex;
                            flex-direction: column;
                            background-color: white;
                            width: 95%;
                            border-radius: 8px;
                            padding: 10px;
                            box-shadow: 0px 0px 3px rgb(198, 198, 198);
                            cursor: pointer;
                            & > p{
                                margin: 0;
                                font-size: 14px;
                                font-family: "Stack Sans Headline", sans-serif;
                                font-weight: 600;

                                &:last-child{
                                    font-family: "Stack Sans Text", sans-serif;
                                    font-size: 12px;
                                    font-weight: 200;
                                    color: rgba(72, 72, 72, 0.763);
                                }
                            }
                        }

                        & > .message.active{
                            background-color: rgb(220, 218, 218);
                        }
                    }
                }

                & > .noConvo{
                    display: none;
                    display: flex;
                    width: 65%;
                    height: 99%;
                    flex-direction: column;
                    border-radius: 10px;
                    overflow: hidden;
                    border: 1px solid #ccc;
                    justify-content: center;
                    align-items: center;
                    background-color: rgba(198, 197, 197, 0.267);

                    & > p{
                        font-family: "Stack Sans Text", sans-serif;
                        font-size: 14px;
                        font-weight: 400;
                        color: gray;
                    }
                }

                & > .rightContainer{
                    display: flex;
                    width: 65%;
                    height: 99%;
                    flex-direction: column;
                    /* box-shadow: 0px 2px 20px rgba(139, 139, 139, 0.775); */
                    border-radius: 10px;
                    overflow: hidden;
                            border: 1px solid #ccc;

                    & > .chat-header{
                        background-color: #2C3E50;
                        color: white;
                        display: flex;
                        flex-direction: row;
                        gap: 5px;
                        justify-content:space-between;
                        align-items: center;
                        height: 8vh;
                        padding: 0px 15px;
                        width: 100%;
                        /* border-bottom: 1px solid rgba(198, 196, 196, 0.354); */
                        box-shadow: 0px 2px 2px rgba(150, 150, 150, 0.283);
                        z-index: 1;

                        & > .chatName{
                            display: flex;
                            flex-direction: row;
                            gap: 5px;
                            justify-content: center;
                            align-items: center;
                            font-family: "Stack Sans Text", sans-serif;
                        }

                        & > .linkHolder{
                            display: flex;
                            flex-direction: row;
                            justify-content: center;
                            align-items: center;

                            & > a{
                                text-decoration: none;
                                color: #ECF0F1;
                                font-size: 14px;
                                font-family: "Stack Sans Text", sans-serif;
                                font-weight: 300;
                            }
                        }

                    }
                    /* Messages */
                    & > .chat-box {
                        flex: 1;
                        padding: 15px;
                        overflow-y: auto;
                        display: flex;
                        flex-direction: column;
                        gap: 10px;
                        background: whitesmoke;

                        &::-webkit-scrollbar{
                            display: none;
                        }

                        & > .chat-day{
                            display: flex;
                            font-family: "Stack Sans Text", sans-serif;
                            width: 100%;
                            justify-content: center;
                            align-items: center;
                            font-size: 14px;
                        }
                        
                        /* Message bubbles */
                        & > .message {
                            max-width: 70%;
                            padding: 7px 14px;
                            border-radius: 10px;
                            font-size: 14px;
                            word-wrap: break-word;
                            display: flex;
                            font-family: "Stack Sans Text", sans-serif;
                            font-weight: 300;

                        }
    
                        /* User message (right side) */
                        & >.message.user {
                            align-self: flex-end;
                            background: #2C3E50;
                            color: white;
                            border-bottom-right-radius: 4px;
                        }
                        
                        /* Shop message (left side) */
                        & > .message.shop {
                            align-self: flex-start;
                            background: #e4e6eb;
                            color: #333;
                            border-bottom-left-radius: 4px;
                        }
                    }

                    /* Input area */
                    & > .chat-input {
                        display: flex;
                        padding: 10px;
                        border-top: 1px solid #ddd;
                        background: white;
                        height: 10vh;
                        width: 100%;
                        gap: 10px;
        
                        & > input {
                            flex: 1;
                            padding: 10px;
                            border-radius: 10px;
                            border: 1px solid #ccc;
                            outline: none;
                        }
                        
                        & > button {
                            padding: 7px 16px;
                            border: none;
                            border-radius: 10px;
                            background-color: #2C3E50;
                            color: white;
                            cursor: pointer;
                            transition: 0.2s;

                            &:hover {
                                background-color: #4b6c8d;
                            }
                        }
                    }
                }
            }
            }

        }
    }

    .shop-indicator {
    display: inline-block;
    width: 9px;
    height: 9px;
    background-color: rgb(var(--bs-primary-rgb));
    border-radius: 50%;
    margin-left: 6px;
    vertical-align: middle;
}

.modal{
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.78);
    justify-content: center;
    align-items: center;
    z-index: 100;

    & > .modal-content{
        display: flex;
        flex-direction: column;
        width: 40%;
        height: 70vh;
        align-items: center;
        color: black;
        background-color: #2C3E50 ;
        justify-content: center;
        transition:  0.1s ease;
        
        & > span {
            display: flex;
            align-self: end;
            color: rgb(184, 184, 184);
            font-size: 2rem;
            float: right;
            cursor: pointer;
            padding-right: 10px;

            &:hover{
                color: whitesmoke;
            }
        }

        & > .loginContent{
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100%;
            width: 100%;
            gap: 1rem;

            & > .top{
                display: flex;
                width: 100%;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                gap: 10px;
                
                & > img{
                    height: 9vh;
                }
                & > p{
                    font-size: 1rem;
                    color: #BDC3C7;
                    font-family: "Stack Sans Text", sans-serif;
                    font-weight: 200;
                }
            }

            & > form{
                display: flex;
                align-items: center;
                flex-direction: column;
                color: black;
                font-size: 14px;
                width: 16rem;
                height: 90%;
                gap: 1rem;

                & > .input-holder {
                    display: flex;
                    line-height: 30px;
                    align-items: center;
                    position: relative;
                    width: 16rem;
                    height: 45px;

                    & > i {
                        position: absolute;
                        left: 1rem;
                        width: 1rem;
                        height: 1rem;
                        color: #BDC3C7;
                        z-index: 1;
                    }

                    & > input {
                        width: 100%;
                        height: 100%;
                        line-height: 30px;
                        padding-left: 3rem;
                        border: 2px solid #7F8C8D;
                        border-radius: 6px;
                        outline: none;
                        transition: .5s ease;
                        background: transparent;
                        backdrop-filter: blur(4.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: #ECF0F1;

                        &::placeholder{
                            color: #BDC3C7;
                            font-size: 14px;
                        }

                        &:focus, &:hover {
                            outline: none;
                            border: 2px solid #BDC3C7 ;
                            box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);

                            &::placeholder{
                                color: #ECF0F1 ;
                            }
                        }
                    }

                    & > .toggle-btn {
                            position: absolute;
                            right: 1rem;
                            cursor: pointer;
                            user-select: none;
                            color: #BDC3C7;
                            font-size: 14px;

                            &:hover{
                                color: #9ea3a6;
                            }
                        }
                }

                & > .error{
                    font-size: 14px;
                    padding-top: 0;
                    margin: 0;
                    width: 15.5rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-weight: 200;
                    font-family: "Stack Sans Text", sans-serif;
                    color: rgb(255, 20, 20);
                }

                & > button{
                    display: flex;
                    border: 2px solid #BDC3C7;
                    background-color: #7F8C8D;
                    justify-self: center;
                    height: 45px;
                    width: 16rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    cursor: pointer;

                    &:hover{
                        border: 2px solid #BDC3C7 ;
                        background-color: #697474;
                    }
                }

                & > a{
                    display: flex;
                    align-self: flex-start;
                    color: rgb(167, 167, 167);
                    padding-left: 3px;
                    cursor: pointer;
                }
                
                & > .registerBtn{
                    display: flex;
                    flex-direction: row;
                    justify-content: center;
                    align-items: center;

                    & > p{
                        color: white;
                        font-size: 14px;
                        margin: 0;
                    }

                    & > button{
                        background-color: transparent;
                        border: none;
                        font-size: 14px;
                        color: white;
                        font-weight: 600;
                        cursor: pointer;
                        padding-left: 4px;

                        &:hover{
                            color: rgb(174, 174, 174);
                        }
                    }
                }
            }
        }

        & > .registerContent{
            display: none;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100%;
            width: 100%;
            gap: 1rem;
            
            & > .top{
                display: flex;
                width: 100%;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                
                & > img{
                    height: 9vh;
                }
                & > p{
                    font-size: 1rem;
                    color: #BDC3C7;
                    font-family: "Stack Sans Text", sans-serif;
                    padding-top: 10px;
                    font-weight: 200;
                }
            }
            
            & > form{
                display: flex;
                align-items: center;
                flex-direction: column;
                color: black;
                font-size: 14px;
                width: 16rem;
                height: 90%;
                gap: 1rem;

                & > .name{
                    display: flex;
                    flex-direction: row;
                    gap: 10px;
                
                    & > input {
                        width: 10.2rem;
                        height: 45px;
                        line-height: 30px;
                        padding: 0 1rem;
                        border-radius: 6px;
                        outline: none;
                        border: 2px solid #7F8C8D;
                        transition: .5s ease;
                        background: rgba(255, 255, 255, 0.05);
                        backdrop-filter: blur(8.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: #ECF0F1;

        
                        &::placeholder{
                            color: #BDC3C7;
                            font-size: 14px;
                        }
                    
                        &:focus, &:hover {
                            outline: none;
                            border: 2px solid #BDC3C7 ;
                            box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);
            
                            &::placeholder{
                                color: #ECF0F1 ;
                            }
                        }
                    }
                }
                
                & > .input-holder {
                    display: flex;
                    line-height: 30px;
                    align-items: center;
                    position: relative;
                    width: 21rem;
                    height: 45px;

                    & > i {
                        position: absolute;
                        left: 1rem;
                        fill: none;
                        width: 1rem;
                        height: 1rem;
                        color: #BDC3C7;
                        z-index: 1;
                    }

                    & > input {
                        width: 100%;
                        height: 100%;
                        line-height: 30px;
                        padding: 0 1rem;
                        padding-left: 3rem;
                        border: 2px solid #7F8C8D;
                        border-radius: 6px;
                        outline: none;
                        transition: .5s ease;
                        background: rgba(255, 255, 255, 0.05);
                        backdrop-filter: blur(4.7px);
                        -webkit-backdrop-filter: blur(3.1px);
                        color: #ECF0F1;
        
                        &::placeholder{
                            color: #BDC3C7;
                            font-size: 14px;
                        }
                    
                        &:focus, &:hover {
                            outline: none;
                            border: 2px solid #BDC3C7 ;
                            box-shadow: 0 0 0 3px rgba(194, 194, 194, 0.27);
            
                            &::placeholder{
                                color: #ECF0F1 ;
                            }
                        }
                    }

                    & > .toggle-btn {
                        position: absolute;
                        right: 1rem;
                        cursor: pointer;
                        user-select: none;
                        color: #BDC3C7;
                        font-size: 14px;
                    }
                }

                & > button{
                    display: flex;
                    border: 2px solid #BDC3C7;
                    background-color: #7F8C8D;
                    justify-self: center;
                    height: 2.8rem;
                    width: 21rem;
                    align-items: center;
                    justify-content: center;
                    border-radius: 6px;
                    color: white;
                    font-size: 14px;
                    margin-top: 1rem;
                    cursor: pointer;

                    &:hover{
                        border: 2px solid #BDC3C7 ;
                        background-color: #697474;
                    }
                }

                & > button:last-child{
                    border: none;
                    border-radius: 0;
                    background-color: rgba(87, 87, 87, 0.569);
                    margin-top: 0;
                    cursor: pointer;

                    &:hover{
                        background-color: rgba(74, 73, 73, 0.569);
                    }
                }

                & > .error{
                    font-size: 14px;
                    padding-top: 0;
                    margin: 0;
                    width: 21rem;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    font-weight: 200;
                    font-family: "Stack Sans Text", sans-serif;
                    color: rgb(255, 20, 20);
                }
            }
        }
    }
}